Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CHeader

    java.lang.Object
      org.jasig.portal.channels.BaseChannel
          org.jasig.portal.channels.CHeader

All Implemented Interfaces:
  ICacheable, IChannel

    public class CHeader

extends BaseChannel
implements ICacheable

This channel provides content for a page header. It is indended to be included in a layout folder of type "header". Most stylesheets will render the content of such header channels consistently on every page.

Version:
  $Revision: 1.52 $
Author:
  Peter Kharchenko, pkharchenko@interactivebusiness.com, Ken Weiner, kweiner@unicon.net, Bernie Durfee, bdurfee@interactivebusiness.com

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`private static java.lang.String` | `sslLocation`

Fields inherited from class org.jasig.portal.channels.BaseChannel
`runtimeData, staticData`

Constructor Summary
`CHeader()`

Method Summary
`private boolean` | `canUserPublish()` Checks user permissions to see if the user is authorized to publish channels
`ChannelCacheKey` | `generateKey()` ICacheable method - generates cache key
`static java.lang.String` | `getDate(java.lang.String format)` Gets the current date/time with specified format
`private org.w3c.dom.Document` | `getUserXML()` Returns the DOM object associated with the user
`boolean` | `isCacheValid(java.lang.Object validity)` ICacheable method - checks validity of cache
`void` | `renderXML(org.xml.sax.ContentHandler out)` Render method.

Methods inherited from class org.jasig.portal.channels.BaseChannel
`getRuntimeProperties, receiveEvent, setRuntimeData, setStaticData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### sslLocation

    private static final java.lang.String sslLocation

See Also:
  Constant Field Values

Constructor Detail

### CHeader

    public CHeader()

Method Detail

### canUserPublish

    private boolean canUserPublish()

  Checks user permissions to see if the user is authorized to publish channels

  Returns:
    true if user can publish

### getDate

    public static java.lang.String getDate(java.lang.String format)

  Gets the current date/time with specified format

  Parameters:
    `format` - the format string
  Returns:
    a formatted date and time string

### getUserXML

    private org.w3c.dom.Document getUserXML()

  Returns the DOM object associated with the user

  Returns:
    DOM object associated with the user

### generateKey

    public ChannelCacheKey generateKey()

  ICacheable method - generates cache key

  Specified by:
    `generateKey` in interface `ICacheable`
  Returns:
    key the cache key

### isCacheValid

    public boolean isCacheValid(java.lang.Object validity)

  ICacheable method - checks validity of cache

  Specified by:
    `isCacheValid` in interface `ICacheable`
  Parameters:
    `validity` - the validity object
  Returns:
    cacheValid `true` if cache is still valid, otherwise `false`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Render method.

  Specified by:
    `renderXML` in interface `IChannel`
  Overrides:
    `renderXML` in class `BaseChannel`
  Parameters:
    `out` - the content handler
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD